Hackfix and re-enable strtoull and wcstoull, see bug #3798.
[sdcc.git] / sdcc / device / non-free / lib / pic16 / Makefile.in
blobae984aecd70c2dc26d133b1a238b06b14152e55f
1 # Makefile.in generated by automake 1.16.5 from Makefile.am.
2 # @configure_input@
4 # Copyright (C) 1994-2021 Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = { \
18 if test -z '$(MAKELEVEL)'; then \
19 false; \
20 elif test -n '$(MAKE_HOST)'; then \
21 true; \
22 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
23 true; \
24 else \
25 false; \
26 fi; \
28 am__make_running_with_option = \
29 case $${target_option-} in \
30 ?) ;; \
31 *) echo "am__make_running_with_option: internal error: invalid" \
32 "target option '$${target_option-}' specified" >&2; \
33 exit 1;; \
34 esac; \
35 has_opt=no; \
36 sane_makeflags=$$MAKEFLAGS; \
37 if $(am__is_gnu_make); then \
38 sane_makeflags=$$MFLAGS; \
39 else \
40 case $$MAKEFLAGS in \
41 *\\[\ \ ]*) \
42 bs=\\; \
43 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
44 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
45 esac; \
46 fi; \
47 skip_next=no; \
48 strip_trailopt () \
49 { \
50 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
51 }; \
52 for flg in $$sane_makeflags; do \
53 test $$skip_next = yes && { skip_next=no; continue; }; \
54 case $$flg in \
55 *=*|--*) continue;; \
56 -*I) strip_trailopt 'I'; skip_next=yes;; \
57 -*I?*) strip_trailopt 'I';; \
58 -*O) strip_trailopt 'O'; skip_next=yes;; \
59 -*O?*) strip_trailopt 'O';; \
60 -*l) strip_trailopt 'l'; skip_next=yes;; \
61 -*l?*) strip_trailopt 'l';; \
62 -[dEDm]) skip_next=yes;; \
63 -[JT]) skip_next=yes;; \
64 esac; \
65 case $$flg in \
66 *$$target_option*) has_opt=yes; break;; \
67 esac; \
68 done; \
69 test $$has_opt = yes
70 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
71 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
72 pkgdatadir = $(datadir)/@PACKAGE@
73 pkgincludedir = $(includedir)/@PACKAGE@
74 pkglibdir = $(libdir)/@PACKAGE@
75 pkglibexecdir = $(libexecdir)/@PACKAGE@
76 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
77 install_sh_DATA = $(install_sh) -c -m 644
78 install_sh_PROGRAM = $(install_sh) -c
79 install_sh_SCRIPT = $(install_sh) -c
80 INSTALL_HEADER = $(INSTALL_DATA)
81 transform = $(program_transform_name)
82 NORMAL_INSTALL = :
83 PRE_INSTALL = :
84 POST_INSTALL = :
85 NORMAL_UNINSTALL = :
86 PRE_UNINSTALL = :
87 POST_UNINSTALL = :
88 subdir = .
89 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
90 am__aclocal_m4_deps = $(top_srcdir)/supported-devices.ac \
91 $(top_srcdir)/processors.ac $(top_srcdir)/configure.ac
92 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93 $(ACLOCAL_M4)
94 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
95 $(am__configure_deps) $(am__DIST_COMMON)
96 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
97 configure.lineno config.status.lineno
98 mkinstalldirs = $(install_sh) -d
99 CONFIG_HEADER = config.h
100 CONFIG_CLEAN_FILES =
101 CONFIG_CLEAN_VPATH_FILES =
102 AM_V_P = $(am__v_P_@AM_V@)
103 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
104 am__v_P_0 = false
105 am__v_P_1 = :
106 AM_V_GEN = $(am__v_GEN_@AM_V@)
107 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
108 am__v_GEN_0 = @echo " GEN " $@;
109 am__v_GEN_1 =
110 AM_V_at = $(am__v_at_@AM_V@)
111 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
112 am__v_at_0 = @
113 am__v_at_1 =
114 SOURCES =
115 DIST_SOURCES =
116 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
117 ctags-recursive dvi-recursive html-recursive info-recursive \
118 install-data-recursive install-dvi-recursive \
119 install-exec-recursive install-html-recursive \
120 install-info-recursive install-pdf-recursive \
121 install-ps-recursive install-recursive installcheck-recursive \
122 installdirs-recursive pdf-recursive ps-recursive \
123 tags-recursive uninstall-recursive
124 am__can_run_installinfo = \
125 case $$AM_UPDATE_INFO_DIR in \
126 n|no|NO) false;; \
127 *) (install-info --version) >/dev/null 2>&1;; \
128 esac
129 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
130 distclean-recursive maintainer-clean-recursive
131 am__recursive_targets = \
132 $(RECURSIVE_TARGETS) \
133 $(RECURSIVE_CLEAN_TARGETS) \
134 $(am__extra_recursive_targets)
135 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
136 cscope distdir distdir-am dist dist-all distcheck
137 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
138 config.h.in
139 # Read a list of newline-separated strings from the standard input,
140 # and print each of them once, without duplicates. Input order is
141 # *not* preserved.
142 am__uniquify_input = $(AWK) '\
143 BEGIN { nonempty = 0; } \
144 { items[$$0] = 1; nonempty = 1; } \
145 END { if (nonempty) { for (i in items) print i; }; } \
147 # Make sure the list of sources is unique. This is necessary because,
148 # e.g., the same source file might be shared among _SOURCES variables
149 # for different programs/libraries.
150 am__define_uniq_tagged_files = \
151 list='$(am__tagged_files)'; \
152 unique=`for i in $$list; do \
153 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
154 done | $(am__uniquify_input)`
155 DIST_SUBDIRS = $(SUBDIRS)
156 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/config.h.in \
157 $(top_srcdir)/Makefile.common depcomp install-sh missing
158 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
159 distdir = $(PACKAGE)-$(VERSION)
160 top_distdir = $(distdir)
161 am__remove_distdir = \
162 if test -d "$(distdir)"; then \
163 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
164 && rm -rf "$(distdir)" \
165 || { sleep 5 && rm -rf "$(distdir)"; }; \
166 else :; fi
167 am__post_remove_distdir = $(am__remove_distdir)
168 am__relativize = \
169 dir0=`pwd`; \
170 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
171 sed_rest='s,^[^/]*/*,,'; \
172 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
173 sed_butlast='s,/*[^/]*$$,,'; \
174 while test -n "$$dir1"; do \
175 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
176 if test "$$first" != "."; then \
177 if test "$$first" = ".."; then \
178 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
179 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
180 else \
181 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
182 if test "$$first2" = "$$first"; then \
183 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
184 else \
185 dir2="../$$dir2"; \
186 fi; \
187 dir0="$$dir0"/"$$first"; \
188 fi; \
189 fi; \
190 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
191 done; \
192 reldir="$$dir2"
193 DIST_ARCHIVES = $(distdir).tar.gz
194 GZIP_ENV = --best
195 DIST_TARGETS = dist-gzip
196 # Exists only to be overridden by the user if desired.
197 AM_DISTCHECK_DVI_TARGET = dvi
198 distuninstallcheck_listfiles = find . -type f -print
199 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
200 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
201 distcleancheck_listfiles = find . -type f -print
202 ACLOCAL = @ACLOCAL@
203 AMTAR = @AMTAR@
204 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
205 AR = @AR@
206 ARCH = @ARCH@
207 ARFLAGS = @ARFLAGS@
208 AUTOCONF = @AUTOCONF@
209 AUTOHEADER = @AUTOHEADER@
210 AUTOMAKE = @AUTOMAKE@
211 AWK = @AWK@
212 CC = @CC@
213 CCAS = @CCAS@
214 CCASDEPMODE = @CCASDEPMODE@
215 CCASFLAGS = @CCASFLAGS@
216 CCDEPMODE = @CCDEPMODE@
217 CFLAGS = @CFLAGS@
218 CSCOPE = @CSCOPE@
219 CTAGS = @CTAGS@
220 CYGPATH_W = @CYGPATH_W@
221 DEFS = @DEFS@
222 DEPDIR = @DEPDIR@
223 ECHO_C = @ECHO_C@
224 ECHO_N = @ECHO_N@
225 ECHO_T = @ECHO_T@
226 ETAGS = @ETAGS@
227 GOOD_PICS = @GOOD_PICS@
228 INSTALL = @INSTALL@
229 INSTALL_DATA = @INSTALL_DATA@
230 INSTALL_PROGRAM = @INSTALL_PROGRAM@
231 INSTALL_SCRIPT = @INSTALL_SCRIPT@
232 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
233 LD = @LD@
234 LIBOBJS = @LIBOBJS@
235 LIBS = @LIBS@
236 LTLIBOBJS = @LTLIBOBJS@
237 MAINT = @MAINT@
238 MAKEINFO = @MAKEINFO@
239 MKDIR_P = @MKDIR_P@
240 OBJEXT = @OBJEXT@
241 PACKAGE = @PACKAGE@
242 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
243 PACKAGE_NAME = @PACKAGE_NAME@
244 PACKAGE_STRING = @PACKAGE_STRING@
245 PACKAGE_TARNAME = @PACKAGE_TARNAME@
246 PACKAGE_URL = @PACKAGE_URL@
247 PACKAGE_VERSION = @PACKAGE_VERSION@
248 PATH_SEPARATOR = @PATH_SEPARATOR@
249 RANLIB = @RANLIB@
250 SET_MAKE = @SET_MAKE@
251 SHELL = @SHELL@
252 STRIP = @STRIP@
253 USE_FLOATS = @USE_FLOATS@
254 VERSION = @VERSION@
255 abs_builddir = @abs_builddir@
256 abs_srcdir = @abs_srcdir@
257 abs_top_builddir = @abs_top_builddir@
258 abs_top_srcdir = @abs_top_srcdir@
259 am__include = @am__include@
260 am__leading_dot = @am__leading_dot@
261 am__quote = @am__quote@
262 am__tar = @am__tar@
263 am__untar = @am__untar@
264 bindir = @bindir@
265 build_alias = @build_alias@
266 builddir = @builddir@
267 datadir = @datadir@
268 datarootdir = @datarootdir@
269 docdir = @docdir@
270 dvidir = @dvidir@
271 exec_prefix = @exec_prefix@
272 host_alias = @host_alias@
273 htmldir = @htmldir@
274 includedir = @includedir@
275 infodir = @infodir@
276 install_sh = @install_sh@
277 libdir = @libdir@
278 libexecdir = @libexecdir@
279 localedir = @localedir@
280 localstatedir = @localstatedir@
281 mandir = @mandir@
282 mkdir_p = @mkdir_p@
283 oldincludedir = @oldincludedir@
284 pdfdir = @pdfdir@
285 prefix = @prefix@
286 program_transform_name = @program_transform_name@
287 psdir = @psdir@
288 runstatedir = @runstatedir@
289 sbindir = @sbindir@
290 sharedstatedir = @sharedstatedir@
291 srcdir = @srcdir@
292 sysconfdir = @sysconfdir@
293 target_alias = @target_alias@
294 top_build_prefix = @top_build_prefix@
295 top_builddir = @top_builddir@
296 top_srcdir = @top_srcdir@
297 SUBDIRS = libdev
298 AM_CPPFLAGS = -I. -I$(top_srcdir)/../../../include/pic16 \
299 -I$(top_srcdir)/../../../include \
300 -I$(top_srcdir)/../../../non-free/include/pic16
301 #AM_CFLAGS += --no-optimize-goto
303 #AM_CFLAGS += --debug-ralloc
304 #AM_CFLAGS += --debug-xtra
305 #AM_CFLAGS += --pcode-verbose
307 #AM_CFLAGS += --nooverlay
308 #AM_CFLAGS += --nogcse
309 #AM_CFLAGS += --nolabelopt
310 #AM_CFLAGS += --noinvariant
311 #AM_CFLAGS += --noinduction
312 #AM_CFLAGS += --nojtbound
313 #AM_CFLAGS += --noloopreverse
314 AM_CFLAGS = --std-c99 --asm="$(CCAS)" --no-warn-non-free \
315 --fomit-frame-pointer --obanksel=9 --denable-peeps \
316 --optimize-cmp --optimize-df --i-code-in-asm @USE_FLOATS@
317 AM_CCASFLAGS = -I$(top_srcdir)/../../../include/pic16 \
318 -I$(top_srcdir)/../../../include \
319 -I$(top_srcdir)/../../../non-free/include/pic16 -I$(srcdir)
320 DISTCLEANFILES = a.cod a.hex a.lst pics.supported
321 all: config.h
322 $(MAKE) $(AM_MAKEFLAGS) all-recursive
324 .SUFFIXES:
325 am--refresh: Makefile
327 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.common $(am__configure_deps)
328 @for dep in $?; do \
329 case '$(am__configure_deps)' in \
330 *$$dep*) \
331 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
332 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
333 && exit 0; \
334 exit 1;; \
335 esac; \
336 done; \
337 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
338 $(am__cd) $(top_srcdir) && \
339 $(AUTOMAKE) --foreign Makefile
340 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
341 @case '$?' in \
342 *config.status*) \
343 echo ' $(SHELL) ./config.status'; \
344 $(SHELL) ./config.status;; \
345 *) \
346 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles)'; \
347 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__maybe_remake_depfiles);; \
348 esac;
349 $(top_srcdir)/Makefile.common $(am__empty):
351 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
352 $(SHELL) ./config.status --recheck
354 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
355 $(am__cd) $(srcdir) && $(AUTOCONF)
356 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
357 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
358 $(am__aclocal_m4_deps):
360 config.h: stamp-h1
361 @test -f $@ || rm -f stamp-h1
362 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
364 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
365 @rm -f stamp-h1
366 cd $(top_builddir) && $(SHELL) ./config.status config.h
367 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
368 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
369 rm -f stamp-h1
370 touch $@
372 distclean-hdr:
373 -rm -f config.h stamp-h1
375 # This directory's subdirectories are mostly independent; you can cd
376 # into them and run 'make' without going through this Makefile.
377 # To change the values of 'make' variables: instead of editing Makefiles,
378 # (1) if the variable is set in 'config.status', edit 'config.status'
379 # (which will cause the Makefiles to be regenerated when you run 'make');
380 # (2) otherwise, pass the desired values on the 'make' command line.
381 $(am__recursive_targets):
382 @fail=; \
383 if $(am__make_keepgoing); then \
384 failcom='fail=yes'; \
385 else \
386 failcom='exit 1'; \
387 fi; \
388 dot_seen=no; \
389 target=`echo $@ | sed s/-recursive//`; \
390 case "$@" in \
391 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
392 *) list='$(SUBDIRS)' ;; \
393 esac; \
394 for subdir in $$list; do \
395 echo "Making $$target in $$subdir"; \
396 if test "$$subdir" = "."; then \
397 dot_seen=yes; \
398 local_target="$$target-am"; \
399 else \
400 local_target="$$target"; \
401 fi; \
402 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
403 || eval $$failcom; \
404 done; \
405 if test "$$dot_seen" = "no"; then \
406 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
407 fi; test -z "$$fail"
409 ID: $(am__tagged_files)
410 $(am__define_uniq_tagged_files); mkid -fID $$unique
411 tags: tags-recursive
412 TAGS: tags
414 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
415 set x; \
416 here=`pwd`; \
417 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
418 include_option=--etags-include; \
419 empty_fix=.; \
420 else \
421 include_option=--include; \
422 empty_fix=; \
423 fi; \
424 list='$(SUBDIRS)'; for subdir in $$list; do \
425 if test "$$subdir" = .; then :; else \
426 test ! -f $$subdir/TAGS || \
427 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
428 fi; \
429 done; \
430 $(am__define_uniq_tagged_files); \
431 shift; \
432 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
433 test -n "$$unique" || unique=$$empty_fix; \
434 if test $$# -gt 0; then \
435 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
436 "$$@" $$unique; \
437 else \
438 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
439 $$unique; \
440 fi; \
442 ctags: ctags-recursive
444 CTAGS: ctags
445 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
446 $(am__define_uniq_tagged_files); \
447 test -z "$(CTAGS_ARGS)$$unique" \
448 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
449 $$unique
451 GTAGS:
452 here=`$(am__cd) $(top_builddir) && pwd` \
453 && $(am__cd) $(top_srcdir) \
454 && gtags -i $(GTAGS_ARGS) "$$here"
455 cscope: cscope.files
456 test ! -s cscope.files \
457 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
458 clean-cscope:
459 -rm -f cscope.files
460 cscope.files: clean-cscope cscopelist
461 cscopelist: cscopelist-recursive
463 cscopelist-am: $(am__tagged_files)
464 list='$(am__tagged_files)'; \
465 case "$(srcdir)" in \
466 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
467 *) sdir=$(subdir)/$(srcdir) ;; \
468 esac; \
469 for i in $$list; do \
470 if test -f "$$i"; then \
471 echo "$(subdir)/$$i"; \
472 else \
473 echo "$$sdir/$$i"; \
474 fi; \
475 done >> $(top_builddir)/cscope.files
477 distclean-tags:
478 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
479 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
480 distdir: $(BUILT_SOURCES)
481 $(MAKE) $(AM_MAKEFLAGS) distdir-am
483 distdir-am: $(DISTFILES)
484 $(am__remove_distdir)
485 test -d "$(distdir)" || mkdir "$(distdir)"
486 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
487 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
488 list='$(DISTFILES)'; \
489 dist_files=`for file in $$list; do echo $$file; done | \
490 sed -e "s|^$$srcdirstrip/||;t" \
491 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
492 case $$dist_files in \
493 */*) $(MKDIR_P) `echo "$$dist_files" | \
494 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
495 sort -u` ;; \
496 esac; \
497 for file in $$dist_files; do \
498 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
499 if test -d $$d/$$file; then \
500 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
501 if test -d "$(distdir)/$$file"; then \
502 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
503 fi; \
504 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
505 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
506 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
507 fi; \
508 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
509 else \
510 test -f "$(distdir)/$$file" \
511 || cp -p $$d/$$file "$(distdir)/$$file" \
512 || exit 1; \
513 fi; \
514 done
515 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
516 if test "$$subdir" = .; then :; else \
517 $(am__make_dryrun) \
518 || test -d "$(distdir)/$$subdir" \
519 || $(MKDIR_P) "$(distdir)/$$subdir" \
520 || exit 1; \
521 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
522 $(am__relativize); \
523 new_distdir=$$reldir; \
524 dir1=$$subdir; dir2="$(top_distdir)"; \
525 $(am__relativize); \
526 new_top_distdir=$$reldir; \
527 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
528 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
529 ($(am__cd) $$subdir && \
530 $(MAKE) $(AM_MAKEFLAGS) \
531 top_distdir="$$new_top_distdir" \
532 distdir="$$new_distdir" \
533 am__remove_distdir=: \
534 am__skip_length_check=: \
535 am__skip_mode_fix=: \
536 distdir) \
537 || exit 1; \
538 fi; \
539 done
540 -test -n "$(am__skip_mode_fix)" \
541 || find "$(distdir)" -type d ! -perm -755 \
542 -exec chmod u+rwx,go+rx {} \; -o \
543 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
544 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
545 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
546 || chmod -R a+r "$(distdir)"
547 dist-gzip: distdir
548 tardir=$(distdir) && $(am__tar) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).tar.gz
549 $(am__post_remove_distdir)
551 dist-bzip2: distdir
552 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
553 $(am__post_remove_distdir)
555 dist-lzip: distdir
556 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
557 $(am__post_remove_distdir)
559 dist-xz: distdir
560 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
561 $(am__post_remove_distdir)
563 dist-zstd: distdir
564 tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}} >$(distdir).tar.zst
565 $(am__post_remove_distdir)
567 dist-tarZ: distdir
568 @echo WARNING: "Support for distribution archives compressed with" \
569 "legacy program 'compress' is deprecated." >&2
570 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
571 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
572 $(am__post_remove_distdir)
574 dist-shar: distdir
575 @echo WARNING: "Support for shar distribution archives is" \
576 "deprecated." >&2
577 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
578 shar $(distdir) | eval GZIP= gzip $(GZIP_ENV) -c >$(distdir).shar.gz
579 $(am__post_remove_distdir)
581 dist-zip: distdir
582 -rm -f $(distdir).zip
583 zip -rq $(distdir).zip $(distdir)
584 $(am__post_remove_distdir)
586 dist dist-all:
587 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
588 $(am__post_remove_distdir)
590 # This target untars the dist file and tries a VPATH configuration. Then
591 # it guarantees that the distribution is self-contained by making another
592 # tarfile.
593 distcheck: dist
594 case '$(DIST_ARCHIVES)' in \
595 *.tar.gz*) \
596 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).tar.gz | $(am__untar) ;;\
597 *.tar.bz2*) \
598 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
599 *.tar.lz*) \
600 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
601 *.tar.xz*) \
602 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
603 *.tar.Z*) \
604 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
605 *.shar.gz*) \
606 eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
607 *.zip*) \
608 unzip $(distdir).zip ;;\
609 *.tar.zst*) \
610 zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
611 esac
612 chmod -R a-w $(distdir)
613 chmod u+w $(distdir)
614 mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
615 chmod a-w $(distdir)
616 test -d $(distdir)/_build || exit 0; \
617 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
618 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
619 && am__cwd=`pwd` \
620 && $(am__cd) $(distdir)/_build/sub \
621 && ../../configure \
622 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
623 $(DISTCHECK_CONFIGURE_FLAGS) \
624 --srcdir=../.. --prefix="$$dc_install_base" \
625 && $(MAKE) $(AM_MAKEFLAGS) \
626 && $(MAKE) $(AM_MAKEFLAGS) $(AM_DISTCHECK_DVI_TARGET) \
627 && $(MAKE) $(AM_MAKEFLAGS) check \
628 && $(MAKE) $(AM_MAKEFLAGS) install \
629 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
630 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
631 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
632 distuninstallcheck \
633 && chmod -R a-w "$$dc_install_base" \
634 && ({ \
635 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
636 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
637 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
638 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
639 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
640 } || { rm -rf "$$dc_destdir"; exit 1; }) \
641 && rm -rf "$$dc_destdir" \
642 && $(MAKE) $(AM_MAKEFLAGS) dist \
643 && rm -rf $(DIST_ARCHIVES) \
644 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
645 && cd "$$am__cwd" \
646 || exit 1
647 $(am__post_remove_distdir)
648 @(echo "$(distdir) archives ready for distribution: "; \
649 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
650 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
651 distuninstallcheck:
652 @test -n '$(distuninstallcheck_dir)' || { \
653 echo 'ERROR: trying to run $@ with an empty' \
654 '$$(distuninstallcheck_dir)' >&2; \
655 exit 1; \
656 }; \
657 $(am__cd) '$(distuninstallcheck_dir)' || { \
658 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
659 exit 1; \
660 }; \
661 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
662 || { echo "ERROR: files left after uninstall:" ; \
663 if test -n "$(DESTDIR)"; then \
664 echo " (check DESTDIR support)"; \
665 fi ; \
666 $(distuninstallcheck_listfiles) ; \
667 exit 1; } >&2
668 distcleancheck: distclean
669 @if test '$(srcdir)' = . ; then \
670 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
671 exit 1 ; \
673 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
674 || { echo "ERROR: files left in build directory after distclean:" ; \
675 $(distcleancheck_listfiles) ; \
676 exit 1; } >&2
677 check-am: all-am
678 check: check-recursive
679 all-am: Makefile config.h
680 installdirs: installdirs-recursive
681 installdirs-am:
682 install: install-recursive
683 install-exec: install-exec-recursive
684 install-data: install-data-recursive
685 uninstall: uninstall-recursive
687 install-am: all-am
688 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
690 installcheck: installcheck-recursive
691 install-strip:
692 if test -z '$(STRIP)'; then \
693 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
694 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
695 install; \
696 else \
697 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
698 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
699 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
701 mostlyclean-generic:
703 clean-generic:
705 distclean-generic:
706 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
707 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
708 -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
710 maintainer-clean-generic:
711 @echo "This command is intended for maintainers to use"
712 @echo "it deletes files that may require special tools to rebuild."
713 clean: clean-recursive
715 clean-am: clean-generic clean-local mostlyclean-am
717 distclean: distclean-recursive
718 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
719 -rm -f Makefile
720 distclean-am: clean-am distclean-generic distclean-hdr distclean-local \
721 distclean-tags
723 dvi: dvi-recursive
725 dvi-am:
727 html: html-recursive
729 html-am:
731 info: info-recursive
733 info-am:
735 install-data-am:
737 install-dvi: install-dvi-recursive
739 install-dvi-am:
741 install-exec-am:
743 install-html: install-html-recursive
745 install-html-am:
747 install-info: install-info-recursive
749 install-info-am:
751 install-man:
753 install-pdf: install-pdf-recursive
755 install-pdf-am:
757 install-ps: install-ps-recursive
759 install-ps-am:
761 installcheck-am:
763 maintainer-clean: maintainer-clean-recursive
764 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
765 -rm -rf $(top_srcdir)/autom4te.cache
766 -rm -f Makefile
767 maintainer-clean-am: distclean-am maintainer-clean-generic
769 mostlyclean: mostlyclean-recursive
771 mostlyclean-am: mostlyclean-generic
773 pdf: pdf-recursive
775 pdf-am:
777 ps: ps-recursive
779 ps-am:
781 uninstall-am:
783 .MAKE: $(am__recursive_targets) all install-am install-strip
785 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
786 am--refresh check check-am clean clean-cscope clean-generic \
787 clean-local cscope cscopelist-am ctags ctags-am dist dist-all \
788 dist-bzip2 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz \
789 dist-zip dist-zstd distcheck distclean distclean-generic \
790 distclean-hdr distclean-local distclean-tags distcleancheck \
791 distdir distuninstallcheck dvi dvi-am html html-am info \
792 info-am install install-am install-data install-data-am \
793 install-dvi install-dvi-am install-exec install-exec-am \
794 install-html install-html-am install-info install-info-am \
795 install-man install-pdf install-pdf-am install-ps \
796 install-ps-am install-strip installcheck installcheck-am \
797 installdirs installdirs-am maintainer-clean \
798 maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
799 pdf-am ps ps-am tags tags-am uninstall uninstall-am
801 .PRECIOUS: Makefile
804 clean-local:
805 $(RM) *.asm;
806 $(RM) *.lst;
808 clean-intermediate: clean-local
809 list='$(SUBDIRS)'; for subdir in $$list; do \
810 echo "Making $@ in $$subdir"; \
811 (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $@); \
812 done
814 distclean-local:
815 rm -rf ./.checkdevices ./autom4te.cache
817 # Tell versions [3.59,3.63) of GNU make to not export all variables.
818 # Otherwise a system limit (for SysV at least) may be exceeded.
819 .NOEXPORT: